Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

laurentb
2022-08-30 17:24:53

Je fais tourner Piwigo sur un HPE Proliant DL380 G7 de 2011, mais je peux mettre le SE à jour, ça aide! ;)

plg
2022-08-27 17:34:35

OK, corrigé. Voir [Github] Piwigo issue #1712

Au passage, si Piwigo est pour mon utilisation personnelle, je travaille dans un environnement PCI-DSS strict. je suis donc toujours très content de supprimer des trucs comme [ne pas vérifier le certificat tiers dans une communication SSL]

Je suis très d'accord. Pourquoi j'avais écrit ce code ? Merci de ne pas rigoler dans le fond de la salle :-) Et bien je travaille sur un MacBook Air de 2014. Oui, il a 8 ans. Il tourne bien sauf qu'il y a certaines choses que je ne peux plus mettre à jour, sous peine que l'ordinateur devienne une brique (=inutilisable). Et en l'occurence, les requêtes HTTP avec SSL ne passent plus avec mon vieux PHP 5.6. J'ai donc dû mettre en place cette astuce pour que ça marche.

Bon depuis on (Matthieu) a mis à jour Smarty (moteur de template) en version 4.1 et ce dernier réclame PHP 7.0. Donc pour moi c'est mort, je ne peux plus faire tourner Piwigo directement sur mon ordi. J'ai donc mis en place un environnement de dev sur un VPS (virtual private server, en l'occurence un truc de base à 3€/mois). Je dev sur l'ordi et je rsync sur le VPS pour tester. Ca fait une manipulation supplémentaire MAIS cela me permet d'avoir un environnement sur Linux, très proche d'un vrai environnement de production.

Bref, faut que je change d'ordinateur... :-)

laurentb
2022-08-27 11:44:27

Bonjour Pig,

Désolé de la réponse tardive, les vacances puis la rentrée ne m'ont guère laissé de temps jusqu'à maintenant.

Pour résumer: après avoir posté, et du fait d'autres problèmes de compatibilité avec PHP8.1, j'avais fini par revenir en arrière sur Ubuntu 20.04 pour avoir PHP8.0, et installé Piwigo 12.3.0 dessus sans souci.

Je viens maintenant de le monter en Piwigo 13.0.0rc2: première constatation, avant toute modification, l'accès à la page d'administration fonctionne, sans que les news soient téléchargées. Je suppose que PHP8.0 est plus coulant avec l'erreur que 8.1, elle ne se voyait pas.

J'ai ensuite fait la modification du code, et effectivement, cette fois, ça fonctionne, le bandeau de news est immédiatement apparu, la correction est donc bonne.

Au passage, si Piwigo est pour mon utilisation personnelle, je travaille dans un environnement PCI-DSS strict. je suis donc toujours très content de supprimer des trucs comme

Code:

        "ssl" => array(
          "verify_peer" => false,
          "verify_peer_name" => false,
        ),

Merci!

Laurent

plg
2022-07-29 19:58:51

... et dis moi si ça marche mieux pour toi (si je valide ce changement pour la 13RC3...)

plg
2022-07-29 11:09:51

Bonjour Laurent,

OK, essayons ça : dans le fichier admin/include/functions.php, dans la fonction get_piwigo_news, remplace :

Code:

    if (conf_get_param('porg_fetch_news_check_ssl', true))
    {
      $content = file_get_contents($url);
    }
    else
    {
      $arrContextOptions = array(
        "ssl" => array(
          "verify_peer" => false,
          "verify_peer_name" => false,
        ),
      );

      $content = file_get_contents($url, false, stream_context_create($arrContextOptions));
    }

    if ($content !== false)

par

Code:

if (fetchRemote($url, $content))

puis supprime les fichiers _data/cache/piwigo_news*.cache.php et rafraichis la page du tableau de bord.

laurentb
2022-07-22 23:49:53

Bonsoir,

Je suis en train de migrer mon Piwigo vers une MV Ubuntu 22.04. J'ai eu des problèmes de compatibilité PHP8 en tentant la version 12.3.0, j'ai donc essayé la 13.0.0rc1.

La page d'accueil s'affiche normalement, mais j'ai l'erreur suivante lorsque je tente d'accéder à admin.php:

Code:

[22-Jul-2022 23:41:44 Europe/Paris] PHP Warning:  file_get_contents(https://fr.piwigo.org/forum/news.php?format=json&limit=1): Failed to open stream: Network is unreachable in /export/piwigo/admin/include/functions.php on line 3481
[22-Jul-2022 23:41:44 Europe/Paris] PHP Warning:  file_get_contents(./_data/cache/piwigo_news-fr.cache.php): Failed to open stream: No such file or directory in /export/piwigo/admin/include/functions.php on line 3523
[22-Jul-2022 23:41:44 Europe/Paris] PHP Fatal error:  Uncaught TypeError: array_slice(): Argument #1 ($array) must be of type array, bool given in /export/piwigo/admin/include/functions.php:3526
Stack trace:
#0 /export/piwigo/admin/include/functions.php(3526): array_slice()
#1 /export/piwigo/admin/intro.php(193): get_piwigo_news()
#2 /export/piwigo/admin.php(320): include('...')
#3 {main}
  thrown in /export/piwigo/admin/include/functions.php on line 3526

Cette machine n'a pas de connexion directe à internet, elle doit passer par un proxy, qui est bien configuré dans la configuration de Piwigo et fonctionne (les plugins ont pu être mis à jour).
Il semble donc que l'utilisation du proxy manque pour cette fonctionnalité.

Version de Piwigo: 13.0.0rc1
Version de PHP: 8.1
Version de MySQL: MariaDB 10.6.7-MariaDB-2ubuntu1.1
URL Piwigo: http://

Bien cordialement,

Laurent

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact